Subject: bug#42147: 28.0.50; pure vs side-effect-free, missing optimizations?

From: Andrea Corallo <[email-masked]>
Date: Mon, 6 Jul 2020 21:23:03 +0000 (UTC)

Mattias Engdegård <[email-masked]> writes:

> 5 juli 2020 kl. 15.16 skrev Andrea Corallo <[email-masked]>:
>
>> Absolutley, actually part of the scope of the patch in discussion (for
>> me) is exactly this given I'll just fetch this as a definition.
>
> Very good, it looks like we are all set then. I've pushed that patch
> and a follow-up that removes explicit optimisation functions that no
> longer are useful with the added pure functions.

Great, the branch I'm working on is already based on your commit
therefore I was looking forward to see it on master.

> Are you happy with this resolution, or is there anything else that needs our attention?

Yes I am happy :) Not sure about the floating point discussion
originated from this but on my side this bug can be closed.

Thanks

  Andrea